package org.processmining.subtrace.connections;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.subtrace.parameters.SubTraceFilteringParameters;

public class SubTraceConnection extends AbstractConnection {

	/**
	 * Label for first input.
	 */
	public final static String FIRSTINPUT = "Incoming log";

	/**
	 * Label for output.
	 */
	public final static String FIRSTOUTPUT = "Sub traces log";
	public final static String SECONDOUTPUT = "Parameters";

	/**
	 * Private copy of parameters.
	 */
	private SubTraceFilteringParameters parameters;

	/**
	 * Create a connection.
	 * @param incoming log to process.
	 * @param output log with fragments.
	 * @param parameters Parameters.
	 */
	public SubTraceConnection(XLog incoming, XLog output, SubTraceFilteringParameters parameters) {
		super("Sub Trace Connection");
		put(FIRSTINPUT, incoming);
		put(FIRSTOUTPUT, output);
		put(SECONDOUTPUT, parameters);
		this.parameters = new SubTraceFilteringParameters(parameters);
	}

	/**
	 * 
	 * @return The parameters stored in the connection.
	 */
	public SubTraceFilteringParameters getParameters() {
		return parameters;
	}
}
