package org.processmining.subtrace.parameters;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.contexts.util.HtmlPanel;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginQuality;
import org.processmining.framework.plugin.annotations.PluginVariant;

import javax.swing.*;

/**
 * Created by nsitnikov on 25/02/16.
 * Plugin to show subtrace filters parameters
 */
public class SubTraceFilteringVisualizer {
    @Plugin(name = "Show fragment extraction parameters",
            returnLabels = { "Trace fragment extraction parameters" },
            returnTypes = { JComponent.class },
            parameterLabels = { "Filtering parameters" },
            userAccessible = true
    )
    @Visualizer
    @PluginVariant(requiredParameterLabels = { 0 })
    public JComponent runUI(UIPluginContext context, SubTraceFilteringParameters parameters) {
        return new HtmlPanel(
                "<html><head /><body><h1>Trace fragments extraction conditions</h1>" +
                parameters.toString().replaceAll("\n", "<br />") +
                "</body></html>");
    }
}
